## FoLengthBpIpD

FoLengthBpIpD —

## Synopsis

    struct      FoLengthBpIpD;
    struct      FoLengthBpIpDClass;
    FoDatatype* fo_length_bp_ip_d_new           (void);
    FoDatatype* fo_length_bp_ip_d_new_with_value
                                                (FoDatatype *length_bpd,
                                                 FoDatatype *length_ipd);
    FoDatatype* fo_length_bp_ip_d_get_length_bpd
                                                (FoDatatype *datatype);
    FoDatatype* fo_length_bp_ip_d_get_length_ipd
                                                (FoDatatype *datatype);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoLengthBpIpD

## Properties

      "length-bpd"           FoDatatype           : Read / Write / Construct Only
      "length-ipd"           FoDatatype           : Read / Write / Construct Only

## Description

## Details

### struct FoLengthBpIpD

    struct FoLengthBpIpD;

### struct FoLengthBpIpDClass

    struct FoLengthBpIpDClass;

### fo_length_bp_ip_d_new ()

    FoDatatype* fo_length_bp_ip_d_new           (void);

Creates a new FoLengthBpIpD initialized to default value.

Returns : | the new FoLengthBpIpD

### fo_length_bp_ip_d_new_with_value ()

    FoDatatype* fo_length_bp_ip_d_new_with_value
                                                (FoDatatype *length_bpd,
                                                 FoDatatype *length_ipd);

Creates a new FoLengthBpIpD set to `length_bpd` and `length_ipd`

`length_bpd` : | .block-progression-direction component of the new FoLengthBpIpD
`length_ipd` : | .inline-progression-direction component of the new FoLengthBpIpD
Returns : | The new FoLengthBpIpD

### fo_length_bp_ip_d_get_length_bpd ()

    FoDatatype* fo_length_bp_ip_d_get_length_bpd
                                                (FoDatatype *datatype);

Gets the .block-progression-direction component value of `datatype`

`datatype` : | FoLengthBpIpD
Returns : | The .block-progression-direction value of `datatype`

### fo_length_bp_ip_d_get_length_ipd ()

    FoDatatype* fo_length_bp_ip_d_get_length_ipd
                                                (FoDatatype *datatype);

Gets the .inline-progression-direction component value of `datatype`

`datatype` : | FoLengthBpIpD
Returns : | The .inline-progression-direction component value of `datatype`

## Properties

"`length-bpd`" (FoDatatype : Read / Write / Construct Only) | Length in block-progression-direction.
"`length-ipd`" (FoDatatype : Read / Write / Construct Only) | Length in inline-progression-direction.